RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006313AFRF[All Projects] Generalpublic2021-04-25 22:582021-04-28 18:30
Reporterjexon 
Assigned Toda12thMonkey 
PrioritynoneSeverityminorReproducibilityalways
StatusresolvedResolutionsuspended 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.5.6 
Summary0006313: fgm-148
Descriptionhttp://joxi.ru/Q2K1zXQfvPWwar [^]
http://joxi.ru/EA44Lwoip1aOOA [^]

when you shoot with a javelin, then you are left with a shot pipe and a control panel. if you throw out the pipe and the remote control separately, the remote control is not visible on the ground. can it be made with any object on the ground?

that is, if the javelin is detached, the "control panel" part becomes invisible, on the ground, behind the player's back, etc. Can I finish this item?
http://joxi.ru/v29G3wphpaLz7r [^]
TagsNo tags attached.
Is it a wish/request?No
RHS versionStable
Arma 3 version2.02
Did you used any other mod when the error occurred?No
Which mods?
Attached Files

- Relationships

-  Notes
(0011677)
da12thMonkey (administrator)
2021-04-27 11:43
edited on: 2021-04-27 12:13

Kinda an engine limitation.

We changed the Javelin because we wanted the CLU to be usable with no missile in it. This meant we use the isSelected animation source to hide the CLU attached to the missile tube when the weapon is on the back of a unit, because otherwise it clips through their head and obscures the view in certain poses, and IRL the CLU is carried inside a bag not held externally where it might be damaged.
However, when a weapon is dropped to the ground, it also reverts to this animation state where the CLU is hidden because all weapon animations revert to their initial state when dropped.

Old system we were using "modelSpecial" system to switch between the empty tube when carried on back and full launcher with the CLU when the missile magazine was loaded, but this doesn't allow for the CLU to be held and used as an observation tool when the launcher has no ammunition.

We will investigate alternative ways of getting the CLU and missile tubes to function the way they should, but it might not be something we can fix

(0011679)
jexon (reporter)
2021-04-28 01:39

I realized. thanks for the explanation. but to be honest, no one has stuttered in so much time about using a javelin just for observation. this is a very subtle role-playing property. and there are no such servers anyway, who will do it. and I think it makes no sense to spoil the javelin with such an opportunity. we played for 15 years without it, we can play the same way for another 15 years)))

- Issue History
Date Modified Username Field Change
2021-04-25 22:58 jexon New Issue
2021-04-25 23:03 jexon Description Updated View Revisions
2021-04-27 11:43 da12thMonkey Note Added: 0011677
2021-04-27 11:43 da12thMonkey Status new => closed
2021-04-27 11:43 da12thMonkey Assigned To => da12thMonkey
2021-04-27 11:43 da12thMonkey Resolution open => suspended
2021-04-27 12:13 da12thMonkey Note Edited: 0011677 View Revisions
2021-04-28 01:39 jexon Note Added: 0011679
2021-04-28 18:30 reyhard Status closed => resolved
2021-04-28 18:30 reyhard Fixed in Version => 0.5.6


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker